- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Properties | Friends

# QWebFrame Class Reference

Search for all occurrences

## Detailed Description

Definition at line 103 of file qwebframe.h.

`#include <qwebframe.h>`

Inheritance diagram for QWebFrame:
[legend]

List of all members.

## Public Types
enum | RenderLayer { ContentsLayer = 0x10, ScrollBarLayer = 0x20, PanIconLayer = 0x40, AllLayers = 0xff }
## Public Slots
QVariant | evaluateJavaScript (const QString &scriptSource)
void | print (QPrinter *printer) const
## Signals
void | javaScriptWindowObjectCleared ()
void | provisionalLoad ()
void | titleChanged (const QString &title)
void | urlChanged (const QUrl &url)
void | initialLayoutCompleted ()
void | iconChanged ()
void | contentsSizeChanged (const QSize &size)
void | loadStarted ()
void | loadFinished (bool ok)
void | pageChanged ()
## Public Member Functions
QWebPage * | page () const
void | load (const QUrl &url)
void | load (const QNetworkRequest &request, QNetworkAccessManager::Operation operation=QNetworkAccessManager::GetOperation, const QByteArray &body=QByteArray())
void | setHtml (const QString &html, const QUrl &baseUrl=QUrl())
void | setContent (const QByteArray &data, const QString &mimeType=QString(), const QUrl &baseUrl=QUrl())
void | addToJavaScriptWindowObject (const QString &name, QObject *object)
void | addToJavaScriptWindowObject (const QString &name, QObject *object, QScriptEngine::ValueOwnership ownership)
QString | toHtml () const
QString | toPlainText () const
QString | renderTreeDump () const
QString | title () const
void | setUrl (const QUrl &url)
QUrl | url () const
QUrl | requestedUrl () const
QUrl | baseUrl () const
QIcon | icon () const
QMultiMap< QString, QString > | metaData () const
QString | frameName () const
QWebFrame * | parentFrame () const
QList< QWebFrame * > | childFrames () const
Qt::ScrollBarPolicy | scrollBarPolicy (Qt::Orientation orientation) const
void | setScrollBarPolicy (Qt::Orientation orientation, Qt::ScrollBarPolicy policy)
void | setScrollBarValue (Qt::Orientation orientation, int value)
int | scrollBarValue (Qt::Orientation orientation) const
int | scrollBarMinimum (Qt::Orientation orientation) const
int | scrollBarMaximum (Qt::Orientation orientation) const
QRect | scrollBarGeometry (Qt::Orientation orientation) const
void | scroll (int, int)
QPoint | scrollPosition () const
void | setScrollPosition (const QPoint &pos)
void | scrollToAnchor (const QString &anchor)
void | render (QPainter *)
void | render (QPainter *, const QRegion &clip)
void | render (QPainter *, RenderLayer layer, const QRegion &clip=QRegion())
void | setTextSizeMultiplier (qreal factor)
qreal | textSizeMultiplier () const
qreal | zoomFactor () const
void | setZoomFactor (qreal factor)
bool | hasFocus () const
void | setFocus ()
QPoint | pos () const
QRect | geometry () const
QSize | contentsSize () const
QWebElement | documentElement () const
QWebElementCollection | findAllElements (const QString &selectorQuery) const
QWebElement | findFirstElement (const QString &selectorQuery) const
QWebHitTestResult | hitTestContent (const QPoint &pos) const
virtual bool | event (QEvent *)
QWebSecurityOrigin | securityOrigin () const
## Properties
qreal | textSizeMultiplier
qreal | zoomFactor
QString | title
QUrl | url
QUrl | requestedUrl
QUrl | baseUrl
QIcon | icon
QSize | contentsSize
QPoint | scrollPosition
bool | focus
## Friends
class | QGraphicsWebView
class | QWebPage
class | QWebPagePrivate
class | QWebFramePrivate
class | WebCore::WidgetPrivate
class | WebCore::FrameLoaderClientQt
class | WebCore::ChromeClientQt

## Member Enumeration Documentation

enum RenderLayer

Search for all occurrences

Enumerator:

  ContentsLayer | Search for all occurrences
  ScrollBarLayer | Search for all occurrences
  PanIconLayer | Search for all occurrences
  AllLayers | Search for all occurrences

Definition at line 164 of file qwebframe.h.

                         {
            ContentsLayer = 0x10,
            ScrollBarLayer = 0x20,
            PanIconLayer = 0x40,

            AllLayers = 0xff
        };

## Member Function Documentation

QWebPage* page | ( |  | ) | const

Search for all occurrences

void load | ( | const QUrl & | url | ) |

Search for all occurrences

void load | ( | const QNetworkRequest & | request,
|  | QNetworkAccessManager::Operation | operation = `QNetworkAccessManager::GetOperation`,
|  | const QByteArray & | body = `QByteArray()`
| ) |  |

Search for all occurrences

void setHtml | ( | const QString & | html,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

void setContent | ( | const QByteArray & | data,
|  | const QString & | mimeType = `QString()`,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

void addToJavaScriptWindowObject | ( | const QString & | name,
|  | QObject * | object
| ) |  |

Search for all occurrences

void addToJavaScriptWindowObject | ( | const QString & | name,
|  | QObject * | object,
|  | QScriptEngine::ValueOwnership | ownership
| ) |  |

Search for all occurrences

QString toHtml | ( |  | ) | const

Search for all occurrences

QString toPlainText | ( |  | ) | const

Search for all occurrences

QString renderTreeDump | ( |  | ) | const

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) |

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

QUrl requestedUrl | ( |  | ) | const

Search for all occurrences

QUrl baseUrl | ( |  | ) | const

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

QMultiMap<QString, QString> metaData | ( |  | ) | const

Search for all occurrences

QString frameName | ( |  | ) | const

Search for all occurrences

QWebFrame* parentFrame | ( |  | ) | const

Search for all occurrences

QList<QWebFrame*> childFrames | ( |  | ) | const

Search for all occurrences

Qt::ScrollBarPolicy scrollBarPolicy | ( | Qt::Orientation | orientation | ) | const

Search for all occurrences

void setScrollBarPolicy | ( | Qt::Orientation | orientation,
|  | Qt::ScrollBarPolicy | policy
| ) |  |

Search for all occurrences

void setScrollBarValue | ( | Qt::Orientation | orientation,
|  | int | value
| ) |  |

Search for all occurrences

int scrollBarValue | ( | Qt::Orientation | orientation | ) | const

Search for all occurrences

int scrollBarMinimum | ( | Qt::Orientation | orientation | ) | const

Search for all occurrences

int scrollBarMaximum | ( | Qt::Orientation | orientation | ) | const

Search for all occurrences

QRect scrollBarGeometry | ( | Qt::Orientation | orientation | ) | const

Search for all occurrences

void scroll | ( | int | ,
|  | int |
| ) |  |

Search for all occurrences

QPoint scrollPosition | ( |  | ) | const

Search for all occurrences

void setScrollPosition | ( | const QPoint & | pos | ) |

Search for all occurrences

void scrollToAnchor | ( | const QString & | anchor | ) |

Search for all occurrences

void render | ( | QPainter * |  | ) |

Search for all occurrences

void render | ( | QPainter * | ,
|  | const QRegion & | clip
| ) |  |

Search for all occurrences

void render | ( | QPainter * | ,
|  | RenderLayer | layer,
|  | const QRegion & | clip = `QRegion()`
| ) |  |

Search for all occurrences

void setTextSizeMultiplier | ( | qreal | factor | ) |

Search for all occurrences

qreal textSizeMultiplier | ( |  | ) | const

Search for all occurrences

qreal zoomFactor | ( |  | ) | const

Search for all occurrences

void setZoomFactor | ( | qreal | factor | ) |

Search for all occurrences

bool hasFocus | ( |  | ) | const

Search for all occurrences

void setFocus | ( |  | ) |

Search for all occurrences

QPoint pos | ( |  | ) | const

Search for all occurrences

QRect geometry | ( |  | ) | const

Search for all occurrences

QSize contentsSize | ( |  | ) | const

Search for all occurrences

QWebElement documentElement | ( |  | ) | const

Search for all occurrences

QWebElementCollection findAllElements | ( | const QString & | selectorQuery | ) | const

Search for all occurrences

QWebElement findFirstElement | ( | const QString & | selectorQuery | ) | const

Search for all occurrences

QWebHitTestResult hitTestContent | ( | const QPoint & | pos | ) | const

Search for all occurrences

virtual bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

QWebSecurityOrigin securityOrigin | ( |  | ) | const

Search for all occurrences

QVariant evaluateJavaScript | ( | const QString & | scriptSource | ) | `[slot]`

Search for all occurrences

void print | ( | QPrinter * | printer | ) | const `[slot]`

Search for all occurrences

void javaScriptWindowObjectCleared | ( |  | ) | `[signal]`

Search for all occurrences

void provisionalLoad | ( |  | ) | `[signal]`

Search for all occurrences

void titleChanged | ( | const QString & | title | ) | `[signal]`

Search for all occurrences

void urlChanged | ( | const QUrl & | url | ) | `[signal]`

Search for all occurrences

void initialLayoutCompleted | ( |  | ) | `[signal]`

Search for all occurrences

void iconChanged | ( |  | ) | `[signal]`

Search for all occurrences

void contentsSizeChanged | ( | const QSize & | size | ) | `[signal]`

Search for all occurrences

void loadStarted | ( |  | ) | `[signal]`

Search for all occurrences

void loadFinished | ( | bool | ok | ) | `[signal]`

Search for all occurrences

void pageChanged | ( |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsWebView `[friend]`

Search for all occurrences

Definition at line 224 of file qwebframe.h.

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 225 of file qwebframe.h.

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 226 of file qwebframe.h.

friend class QWebFramePrivate `[friend]`

Search for all occurrences

Definition at line 227 of file qwebframe.h.

friend class WebCore::WidgetPrivate `[friend]`

Search for all occurrences

Definition at line 228 of file qwebframe.h.

friend class WebCore::FrameLoaderClientQt `[friend]`

Search for all occurrences

Definition at line 229 of file qwebframe.h.

friend class WebCore::ChromeClientQt `[friend]`

Search for all occurrences

Definition at line 230 of file qwebframe.h.

## Property Documentation

qreal textSizeMultiplier `[read, write]`

Search for all occurrences

Definition at line 105 of file qwebframe.h.

qreal zoomFactor `[read, write]`

Search for all occurrences

Definition at line 106 of file qwebframe.h.

QString title `[read]`

Search for all occurrences

Definition at line 107 of file qwebframe.h.

QUrl url `[read, write]`

Search for all occurrences

Definition at line 108 of file qwebframe.h.

QUrl requestedUrl `[read]`

Search for all occurrences

Definition at line 109 of file qwebframe.h.

QUrl baseUrl `[read]`

Search for all occurrences

Definition at line 110 of file qwebframe.h.

QIcon icon `[read]`

Search for all occurrences

Definition at line 111 of file qwebframe.h.

QSize contentsSize `[read]`

Search for all occurrences

Definition at line 112 of file qwebframe.h.

QPoint scrollPosition `[read, write]`

Search for all occurrences

Definition at line 113 of file qwebframe.h.

bool focus `[read]`

Search for all occurrences

Definition at line 114 of file qwebframe.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebframe.h

QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame
QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame QWebFrame